Subject: Re: bug#38144: 27.0.50; Gnus buttons not clickable using mouse

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Nov 2019 07:49:21 +0100

Amin Bandali <[email-masked]> writes:

> I have noticed for a couple of months now that clicking Gnus buttons
> using a mouse no longer seems to do anything, whereas before it used to
> trigger the action correctly.  I /think/ this regression started with
> Gnus’s change from widget.el to button.el, but I’m not 100% sure.

Yup; that's what caused the regression.

I've now added a follow-link t to the buttons so that
mouse-1-click-follows-link is respected in Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no